const Mock = require('mockjs')

module.exports = [
  {
    url: '/article/list',
    type: 'get',
    response: config => {
      console.log(config.query)
      console.log(config.body)

      const data = Mock.mock({
        code: 20000,
        flag: true,
        data: {
          'total|100-200': 1,
          'list|10': [{
            'id|+1': 1,
            name: '@name',
            email: '@email',
            date: '@date'
          }]
        }
      })

      return data
    }
  },

  {
    url: '/article/detail',
    type: 'get',
    response: config => {
      const detail = Mock.mock({
        code: 20000,
        flag: true,
        data: {
          'id|1-19': 1,
          name: '@name',
          email: '@email'
        }

      })
      return detail
    }
  },

  {
    url: '/article/save',
    type: 'post',
    response: x => {
      console.log(x.body)
      return {
        code: 20000,
        flag: true,
        data: 'success'
      }
    }
  },

  {
    url: '/article/deleteOne',
    type: 'post',
    response: _ => {
      return {
        code: 20000,
        flag: true,
        data: 'success'
      }
    }
  }
]
