import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/article/list',
    method: 'get',
    params: query
  })
}

export function fetchOne(id) {
  return request({
    url: '/article/detail',
    method: 'get',
    params: { id }
  })
}

// create Or update
export function saveOne(data) {
  return request({
    url: '/article/save',
    method: 'post',
    data
  })
}

export function deleteOne(id) {
  return request({
    url: '/article/delete',
    method: 'post',
    params: { id }
  })
}
